mime._defang Class Reference

## Public Member Functions

| __init__ (self, scan_html=True)
| __call__ (self, msg, savname=None, check=check_ext, scan_rfc822=True, scan_zip=False)

## Public Attributes

| scan_html = scan_html
| scan_rfc822
| scan_zip = scan_zip

## Protected Member Functions

| _chk_name (self, msg)

## Protected Attributes

| _savname
| _chk_name
| _check = check

## Member Function Documentation

## __call__()

mime._defang.__call__ | ( |  | self,
|  |  | msg,
|  |  | savname = None,
|  |  | check = check_ext,
|  |  | scan_rfc822 = True,
|  |  | scan_zip = False )

    Compatible entry point.
    Replace all attachments with dangerous names.

References _check, _chk_name, _savname, mime.check_attachments(), scan_rfc822, and scan_zip.

The documentation for this class was generated from the following file:

- mime.py